{
  config,
  lib,
  pkgs,
  ...
}:
with lib;
let
  cfg = config.voidconf.programs;
in
{
  options.voidconf.programs = {
    gnupg = {
      enable = mkEnableOption "Enables basic GnuPG configuration";
      pinentryPackage = mkOption {
        default = pkgs.pinentry-qt;
      };
    };
  };
  config = {
    programs = {

      # gpg
      gnupg.agent = mkIf cfg.gnupg.enable {
        enable = true;
        pinentryPackage = pkgs.pinentry-qt;
      };

    };
  };
}
